# Python major version.
%{expand: %%define pyver %(python -c 'import sys;print(sys.version[0:3])')}

Summary: An interface to MySQL
Name: MySQL-python
Version: 1.2.1_p2
Release: 1.el4.1.XOS.1
License: GPL
Group: Development/Libraries
Source0: http://prdownloads.sourceforge.net/mysql-python/MySQL-python-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://sourceforge.net/projects/mysql-python/
Requires: python mx mysql
Requires: python >= %{pyver}
BuildRequires: python-devel >= %{pyver}
BuildRequires: mysql-devel python Distutils gcc zlib-devel

%description
Python interface to MySQL

MySQLdb is an interface to the popular MySQL database server for Python.
The design goals are:

-     Compliance with Python database API version 2.0 
-     Thread-safety 
-     Thread-friendliness (threads will not block each other) 
-     Compatibility with MySQL 3.23 and up

This module should be mostly compatible with an older interface
written by Joe Skinner and others. However, the older version is
a) not thread-friendly, b) written for MySQL 3.21, c) apparently
not actively maintained. No code from that version is used in
MySQLdb. MySQLdb is distributed free of charge under a license
derived from the Python license.

%prep
%setup -q

%build
rm -f doc/*~
export libdirname=%{_lib}
CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT

export libdirname=%{_lib}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc README doc/*
%dir /usr/%{_lib}/python%{pyver}/site-packages/MySQLdb
%dir /usr/%{_lib}/python%{pyver}/site-packages/MySQLdb/constants

%changelog
* Sun May 06 2007 X/OS Linux Team <xoslinux@xos.nl> 1.2.1_p2-1.el4.1.XOS.1
- Build for X/OS Linux 4.
- X/OS Linux source rpm based on MySQL-python-1.2.1_p2-1.el4.1.src.rpm
  (md5sum of original source rpm: a1a8d8b5bd9e246286dd49cf88fdb3b2).

* Wed Jan 10 2007 Tom Lane <tgl@redhat.com> 1.2.1_p2-1.el4.1
- Update to 1.2.1_p2; if we're gonna rebase, might as well be current
Resolves: bz #150828, bz #155341
- Remove hardwired python version number in favor of asking Python
  (this is mostly to sync with the Stacks-branch specfile)
- note release number is chosen to not overwrite a Stacks install

* Wed Jul 20 2005 Tom Lane <tgl@redhat.com> 1.2.0-1.RHEL4.1
- Update to 1.2.0, per bug #155341
- Link against mysql 4.x not 3.x, per bug #150828

* Wed Nov 24 2004 Tom Lane <tgl@redhat.com> 1.0.0-1.RHEL4.1
- Backpatch into RHEL-4 branch for FZ #129616, #101695.

* Thu Nov 11 2004 Tom Lane <tgl@redhat.com> 1.0.0-1
- update to 1.0.0; rebuild against mysqlclient10

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 20 2004 Tom Lane <tgl@redhat.com>
- reinstate (and update) patch for /usr/lib64 compatibility
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Nov 25 2003 Patrick Macdonald <patrickm@redhat.com> 0.9.2-1
- update to 0.9.2
- remove patches (no longer applicable)

* Sat Nov 15 2003 Tom "spot" Callaway <tcallawa@redhat.com> 0.9.1-10
- bring us to python 2.3

* Thu Jul 03 2003 Patrick Macdonald <patrickm@redhat.com> 0.9.1-9
- rebuilt

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com> 0.9.1-8
- rebuilt

* Tue Mar 04 2003 Patrick Macdonald <patrickm@redhat.com> 0.9.1-7
- explicitly define the constants directory in case a more
  restrictive umask is encountered (#74019)

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 0.9.1-5
- lib64'ize

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.1-2
- Build for newer python

* Wed Mar 13 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.1-1
- 0.9.1

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.9.0-6
- Rebuild

* Thu Jan 31 2002 Elliot Lee <sopwith@redhat.com> 0.9.0-5
- Change python conflicts to requires
- Use pybasever/pynextver macros.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Sep 14 2001 Trond Eivind Glomsrd <teg@redhat.com> 0.9.0-3
- Build for Python 2.2

* Mon Jul 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Add zlib-devel to buildrequires (#49788)

* Tue Jun 19 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Initial build
